from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.indices.get_chart_bars(identifier="SPX.IND_CBOM", start_time="12/15/2025 9:00 am", end_time="12/15/2025 9:30 am", identifier_type=models.IndicesIdentifierType.SYMBOL, precision=models.Precision.MINUTE, period=15, include_extended=False)
assert res.index_chart_bars_response is not None
# Handle response
print(res.index_chart_bars_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.indices.getChartBars({
identifier: "SPX.IND_CBOM",
startTime: "12/15/2025 9:00 am",
endTime: "12/15/2025 9:30 am",
precision: "Minute",
period: 15,
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/indices/chart-bars \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/chart-bars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indices/chart-bars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indices/chart-bars"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indices/chart-bars")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indices/chart-bars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyIndex Chart Data
Retrieve formatted chart data for market indices optimized for visualization and charting applications. Build interactive index charts and performance dashboards.
Use Case: Create an interactive TradingView-style chart for Dow Jones Industrial Average.
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.indices.get_chart_bars(identifier="SPX.IND_CBOM", start_time="12/15/2025 9:00 am", end_time="12/15/2025 9:30 am", identifier_type=models.IndicesIdentifierType.SYMBOL, precision=models.Precision.MINUTE, period=15, include_extended=False)
assert res.index_chart_bars_response is not None
# Handle response
print(res.index_chart_bars_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.indices.getChartBars({
identifier: "SPX.IND_CBOM",
startTime: "12/15/2025 9:00 am",
endTime: "12/15/2025 9:30 am",
precision: "Minute",
period: 15,
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/indices/chart-bars \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/chart-bars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indices/chart-bars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indices/chart-bars"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indices/chart-bars")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indices/chart-bars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
Query Parameters
How to interpret the value you sent in identifier. Defaults to Symbol. See IndicesIdentifierType for the full set of accepted values.
Which kind of identifier you are sending in identifier / identifiers. Provide the matching value:
Symbol— index ticker (e.g.SPX.IND_CBOM). Default.CIK— SEC Central Index Key.CUSIP— 9-character U.S./Canadian security identifier.ISIN— 12-character international identifier.Valoren— Swiss security identifier.SEDOL— 7-character UK identifier.FIGI— Bloomberg Financial Instrument Global Identifier.CompositeFIGI— country-level composite FIGI.
Symbol, CIK, CUSIP, ISIN, Valoren, SEDOL, FIGI, CompositeFIGI "Symbol"
How long each chart bar covers. Pair with period to set the exact size. Allowed values: Minute or Minutes for minute bars; Hour or Hours for hour bars. Other nonempty values, including Daily, Day, Days, and Week, return HTTP 400 with code VALIDATION_ERROR and precision error: "field 'precision' must be one of: Minute Minutes Hour Hours".
Minute, Minutes, Hour, Hours "Minute"
Response
Successful response
Response containing chart bars for an index along with the index metadata.
Was this page helpful?